Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Class ModeShapeConfiguration.SourceBuilder<ReturnType>

    java.lang.Object
      org.modeshape.repository.ModeShapeConfiguration.BaseReturnable<ReturnType>
          org.modeshape.repository.ModeShapeConfiguration.GraphReturnable<ReturnType,ThisType>
              org.modeshape.repository.ModeShapeConfiguration.GraphComponentBuilder<ReturnType,ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>,RepositorySource>
                  org.modeshape.repository.ModeShapeConfiguration.SourceBuilder<ReturnType>

All Implemented Interfaces:
  ModeShapeConfiguration.ChooseClass<RepositorySource,ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>, ModeShapeConfiguration.HasName, ModeShapeConfiguration.Removable<ReturnType>, ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>, ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>, ModeShapeConfiguration.SetProperties<ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>

Enclosing class:
  ModeShapeConfiguration

    protected static class ModeShapeConfiguration.SourceBuilder<ReturnType>

extends ModeShapeConfiguration.GraphComponentBuilder<ReturnType,ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>,RepositorySource>
implements ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>

Field Summary

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`batch, context, path`

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`returnObject`

Constructor Summary
`protected` | `ModeShapeConfiguration.SourceBuilder(ReturnType returnObject, Graph.Batch batch, Path path, Name... names)`

Method Summary
`Property` | `getProperty(Name name)`
`ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>` | `setProperty(String propertyName, Object value)` Set the property value to an object.
`ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>` | `setRetryLimit(int retryLimit)` Set the retry limit on the repository source.
`protected ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>` | `thisType()`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphComponentBuilder
`usingClass, usingClass`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`createIfMissing, createIfMissing, createIfMissing, getDescription, getName, getProperty, remove, setDescription, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, subpath`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Returnable
`and`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetDescription
`getDescription, setDescription`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetProperties
`getProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.ChooseClass
`usingClass, usingClass`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Removable
`remove`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.HasName
`getName`

Constructor Detail

### ModeShapeConfiguration.SourceBuilder

    protected ModeShapeConfiguration.SourceBuilder(ReturnType returnObject,
                                                   Graph.Batch batch,
                                                   Path path,
                                                   Name... names)

Method Detail

### thisType

    protected ModeShapeConfiguration.RepositorySourceDefinition<ReturnType> thisType()

  Specified by:
    `thisType` in class `ModeShapeConfiguration.GraphReturnable<ReturnType,ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>`

### setRetryLimit

    public ModeShapeConfiguration.RepositorySourceDefinition<ReturnType> setRetryLimit(int retryLimit)

  Description copied from interface: `ModeShapeConfiguration.RepositorySourceDefinition`
  Set the retry limit on the repository source. This is equivalent to calling `ModeShapeConfiguration.SetProperties.setProperty(String, int)` with " `dna:retryLimit`" as the property name.

  Specified by:
    `setRetryLimit` in interface `ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>`
  Parameters:
    `retryLimit` - the retry limit
  Returns:
    this definition, for method chaining purposes
  See Also:
    `RepositorySource.setRetryLimit(int)`

### setProperty

    public ModeShapeConfiguration.RepositorySourceDefinition<ReturnType> setProperty(String propertyName,
                                                                                     Object value)

  Description copied from interface: `ModeShapeConfiguration.SetProperties`
  Set the property value to an object.

  Specified by:
    `setProperty` in interface `ModeShapeConfiguration.SetProperties<ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>`
  Overrides:
    `setProperty` in class `ModeShapeConfiguration.GraphReturnable<ReturnType,ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>`
  Parameters:
    `propertyName` - the name of the JavaBean-style property (e.g., "retryLimit")
    `value` - the new value for the property
  Returns:
    the next component to continue configuration; never null

### getProperty

    public Property getProperty(Name name)

  Overrides:
    `getProperty` in class `ModeShapeConfiguration.GraphReturnable<ReturnType,ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.